# RPM spec file for gsm_suite
Name		:	gsmsuite
Version		:	1.0
Release		:	1
Summary		:	Graphical State Machine editor and utilities
Copyright	:	GPL
Group		:	X11/Applications/Graphics
Source		:	gsmsuite-1.0.src.tar.gz
URL		:	http://www.slip.net/~andrewm
Packager	:	Andrew Mangogna <andrewm@slip.net>
%description
GSM Suite is a set of programs that create finite state machines in a
graphical manner and generate C++ code to implement the logic of the
state machines.  There are five programs in the suite: gsmedit is a
Motif based graphical editor, gsm2cc generate C++ code from the state
machine files, gsm2ps generates PostScript files for printing the
state machines, gsmcheck checks the validity of the state machines,
and gsm2dot will tranform state machines file into directed graphs
suitable for dot(1) to generate a layout.

%prep
%setup -n gsmsuite-1.0

%build
make

%install
make install

%files
%doc COPYING
%doc DOC/gsm_suite.tex
/usr/bin/gsmedit
/usr/bin/gsm2cc
/usr/bin/gsm2ps
/usr/bin/gsmcheck
/usr/bin/gsm2dot
/usr/X11R6/lib/X11/app-defaults/Gsmedit
/usr/include/X11/bitmaps/gsm_arrow.xpm
/usr/include/X11/bitmaps/gsm_del.xpm
/usr/include/X11/bitmaps/gsm_state.xpm
/usr/man/man1/gsm2cc.1
/usr/man/man1/gsm2dot.1
/usr/man/man1/gsm2ps.1
/usr/man/man1/gsmcheck.1
/usr/man/man1/gsmedit.1
